// import the FastLED library
#include <FastLED.h>

Code adapted by W. Elley courtesy of Howtomechatronics https://howtomechatronics.com/tutorials/arduino/how-to-control-ws2812b-individually-addressable-leds-using-arduino/

// set basic parameters
#define LED_PIN     6
#define NUM_LEDS    10

CRGB leds[NUM_LEDS];

//setup - note my example uses the WS2812 RGB strip, change this if necessary
void setup() {

  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS);

}

// cycle the LEDs on/off from 0-9, with brightness 255
void loop() {

  for (int i = 0; i <= 9; i++) {
    leds[i] = CRGB ( 0, 0, 255);
    FastLED.show();
    delay(40);
  }
  for (int i = 9; i >= 0; i--) {
    leds[i] = CRGB ( 255, 0, 0);
    FastLED.show();
    delay(40);
  }
  for (int i = 0; i <= 9; i++) {
    leds[i] = CRGB ( 0, 255, 0);
    FastLED.show();
    delay(40);
  }
  for (int i = 9; i >= 0; i--) {
    leds[i] = CRGB ( 255, 0, 0);
    FastLED.show();
    delay(40);
  }
}
